Ui_MainWindow Class Reference

`#include </build/pcl-0nnAvv/pcl-1.7.2/build/apps/in_hand_scanner/ui_main_window.h>`

Inheritance diagram for Ui_MainWindow:

## Public Member Functions

void | setupUi (QMainWindow *MainWindow)
void | retranslateUi (QMainWindow *MainWindow)
void | setupUi (QMainWindow *MainWindow)
void | retranslateUi (QMainWindow *MainWindow)
void | setupUi (QMainWindow *MainWindow)
void | retranslateUi (QMainWindow *MainWindow)
void | setupUi (QMainWindow *MainWindow)
void | retranslateUi (QMainWindow *MainWindow)
void | setupUi (QMainWindow *MainWindow)
void | retranslateUi (QMainWindow *MainWindow)
void | setupUi (QMainWindow *MainWindow)
void | retranslateUi (QMainWindow *MainWindow)

## Public Attributes

QAction * | actionHelp
QAction * | actionReset_camera
QAction * | actionToggle_coloring
QAction * | actionMesh_representation
QAction * | actionSaveAs
QWidget * | centralWidget
QGridLayout * | gridLayout_7
QHBoxLayout * | horizontalLayout_main_controls
QToolButton * | toolButton_1
QToolButton * | toolButton_2
QToolButton * | toolButton_3
QToolButton * | toolButton_4
QToolButton * | toolButton_5
QToolButton * | toolButton_6
QSpacerItem * | horizontalSpacer_main_controls
QToolButton * | toolButton_0
QWidget * | placeholder_in_hand_scanner
QDockWidget * | dockWidget
QWidget * | dockWidgetContents
QVBoxLayout * | verticalLayout
QToolBox * | toolBox
QWidget * | page_input_data_processing
QVBoxLayout * | verticalLayout_2
QGroupBox * | groupBox_crop_xyz
QGridLayout * | gridLayout_3
QSpinBox * | spinBox_y_max
QLabel * | label_z_min
QSpinBox * | spinBox_x_max
QSpinBox * | spinBox_y_min
QLabel * | label_x_min
QSpinBox * | spinBox_z_max
QSpinBox * | spinBox_x_min
QLabel * | label_xyz_erode_size
QLabel * | label_y_min
QLabel * | label_x_max
QSpinBox * | spinBox_z_min
QLabel * | label_y_max
QLabel * | label_z_max
QSpinBox * | spinBox_xyz_erode_size
QGroupBox * | groupBox_segment_hsv
QGridLayout * | gridLayout
QSpinBox * | spinBox_h_max
QLabel * | label_s_max
QSpinBox * | spinBox_s_min
QLabel * | label_h_min
QLabel * | label_h_max
QLabel * | label_s_min
QSpinBox * | spinBox_v_min
QLabel * | label_v_min
QSpinBox * | spinBox_v_max
QSpinBox * | spinBox_h_min
QLabel * | label_v_max
QSpinBox * | spinBox_s_max
QLabel * | label_hsv_dilate_size
QSpinBox * | spinBox_hsv_dilate_size
QCheckBox * | checkBox_color_segmentation_inverted
QCheckBox * | checkBox_color_segmentation_enabled
QSpacerItem * | verticalSpacer_input_data_processing
QWidget * | page_registration
QVBoxLayout * | verticalLayout_3
QGroupBox * | groupBox_convergence
QGridLayout * | gridLayout_4
QLabel * | label_epsilon
QLabel * | label_max_iterations
QLabel * | label_min_overlap
QLabel * | label_max_fitness
QSpinBox * | spinBox_max_iterations
QSpinBox * | spinBox_min_overlap
QLineEdit * | lineEdit_epsilon
QLineEdit * | lineEdit_max_fitness
QGroupBox * | groupBox_correspondence_rejection
QGridLayout * | gridLayout_2
QLabel * | label_correspondence_rejection_factor
QDoubleSpinBox * | doubleSpinBox_correspondence_rejection_factor
QLabel * | label_correspondence_rejection_max_angle
QSpinBox * | spinBox_correspondence_rejection_max_angle
QSpacerItem * | verticalSpacer_registration
QWidget * | page_integration
QVBoxLayout * | verticalLayout_4
QGroupBox * | groupBox_averaging
QGridLayout * | gridLayout_5
QLabel * | label_max_squared_distance
QLineEdit * | lineEdit_max_squared_distance
QLabel * | label_averaging_max_angle
QSpinBox * | spinBox_averaging_max_angle
QGroupBox * | groupBox_outlier_removal
QGridLayout * | gridLayout_6
QLabel * | label_max_age
QSpinBox * | spinBox_max_age
QLabel * | label_min_directions
QSpinBox * | spinBox_min_directions
QSpacerItem * | verticalSpacer_integration
QToolBar * | toolBar
QMenuBar * | menuBar
QMenu * | menuFile
QAction * | actionAboutPCLModeler
QAction * | actionExit
QAction * | actionOpenPointCloud
QAction * | actionOpenProject
QAction * | actionSavePointCloud
QAction * | actionSaveProject
QAction * | actionClosePointCloud
QAction * | actionCloseProject
QAction * | actionImportPointCloud
QAction * | actionCreateRenderWindow
QAction * | actionToggleSceneExplorer
QAction * | actionVoxelGridDownsample
QAction * | actionPoissonReconstruction
QAction * | actionEstimateNormals
QAction * | actionICPRegistration
QAction * | actionCloseRenderWindow
QAction * | actionStatisticalOutlierRemoval
QHBoxLayout * | horizontalLayout
QMenuBar * | menubar
QMenu * | menuRecentPointClouds
QMenu * | menuRecentProjects
QMenu * | menuView
QMenu * | menuHelp
QMenu * | menuEdit
QMenu * | menuFilters
QMenu * | menuRegistration
QMenu * | menuSurfaceReconstruction
QStatusBar * | statusbar
QDockWidget * | dockWidgetSceneExplorer
QWidget * | dockWidgetContentsScene
QVBoxLayout * | verticalLayoutSceneExplorer
pcl::modeler::SceneTree * | scene_tree_
QWidget * | centralwidget
QVTKWidget * | qvtk_widget_src
QPushButton * | confirmSrcPointButton
QPushButton * | confirmDstPointButton
QPushButton * | clearButton
QPushButton * | calculateButton
QPushButton * | applyTransformButton
QPushButton * | refineButton
QPushButton * | safeButton
QPushButton * | undoButton
QCheckBox * | orthoButton
QSpacerItem * | verticalSpacer
QVTKWidget * | qvtk_widget_dst
QStatusBar * | statusBar
QVTKWidget * | qvtk_widget
QSlider * | fieldValueSlider
QPushButton * | captureButton
QFrame * | line_2
QLabel * | label1
QPushButton * | planeComparatorButton
QPushButton * | euclideanComparatorButton
QPushButton * | rgbComparatorButton
QPushButton * | edgeAwareComparatorButton
QFrame * | line
QLabel * | label
QPushButton * | displayCurvatureButton
QPushButton * | displayNormalsButton
QPushButton * | displayDistanceMapButton
QFrame * | line_3
QLabel * | label_2
QPushButton * | disableRefinementButton
QPushButton * | planarRefinementButton
QFrame * | line_4
QLabel * | label_3
QPushButton * | disableClusteringButton
QPushButton * | euclideanClusteringButton
QWidget * | verticalLayoutWidget
QVTKWidget * | qvtkWidget
QSlider * | indexSlider
QWidget * | verticalLayoutWidget_2
QPushButton * | selectFilesButton
QPushButton * | selectFolderButton
QToolButton * | backButton
QToolButton * | stopButton
QToolButton * | playButton
QToolButton * | nextButton

## Detailed Description

Definition at line 38 of file ui_main_window.h.

## Member Function Documentation

void Ui_MainWindow::retranslateUi | ( | QMainWindow * | MainWindow | ) |

inline

Definition at line 81 of file ui_openni_passthrough.h.

void Ui_MainWindow::retranslateUi | ( | QMainWindow * | MainWindow | ) |

inline

Definition at line 155 of file ui_pcd_video_player.h.

void Ui_MainWindow::retranslateUi | ( | QMainWindow * | MainWindow | ) |

inline

Definition at line 157 of file ui_manual_registration.h.

void Ui_MainWindow::retranslateUi | ( | QMainWindow * | MainWindow | ) |

inline

Definition at line 212 of file ui_organized_segmentation_demo.h.

void Ui_MainWindow::retranslateUi | ( | QMainWindow * | MainWindow | ) |

inline

Definition at line 214 of file ui_main_window.h.

void Ui_MainWindow::retranslateUi | ( | QMainWindow * | MainWindow | ) |

inline

Definition at line 754 of file ui_main_window.h.

Referenced by setupUi().

void Ui_MainWindow::setupUi | ( | QMainWindow * | MainWindow | ) |

inline

Definition at line 33 of file ui_openni_passthrough.h.

References retranslateUi().

void Ui_MainWindow::setupUi | ( | QMainWindow * | MainWindow | ) |

inline

Definition at line 51 of file ui_manual_registration.h.

References retranslateUi().

void Ui_MainWindow::setupUi | ( | QMainWindow * | MainWindow | ) |

inline

Definition at line 55 of file ui_pcd_video_player.h.

References retranslateUi().

void Ui_MainWindow::setupUi | ( | QMainWindow * | MainWindow | ) |

inline

Definition at line 58 of file ui_organized_segmentation_demo.h.

References retranslateUi().

void Ui_MainWindow::setupUi | ( | QMainWindow * | MainWindow | ) |

inline

Definition at line 68 of file ui_main_window.h.

References retranslateUi().

void Ui_MainWindow::setupUi | ( | QMainWindow * | MainWindow | ) |

inline

Definition at line 137 of file ui_main_window.h.

References retranslateUi().

## Member Data Documentation

QAction* Ui_MainWindow::actionAboutPCLModeler

Definition at line 33 of file ui_main_window.h.

QAction* Ui_MainWindow::actionClosePointCloud

Definition at line 39 of file ui_main_window.h.

QAction* Ui_MainWindow::actionCloseProject

Definition at line 40 of file ui_main_window.h.

QAction* Ui_MainWindow::actionCloseRenderWindow

Definition at line 48 of file ui_main_window.h.

QAction* Ui_MainWindow::actionCreateRenderWindow

Definition at line 42 of file ui_main_window.h.

QAction* Ui_MainWindow::actionEstimateNormals

Definition at line 46 of file ui_main_window.h.

QAction* Ui_MainWindow::actionExit

Definition at line 34 of file ui_main_window.h.

QAction * Ui_MainWindow::actionHelp

Definition at line 41 of file ui_main_window.h.

QAction* Ui_MainWindow::actionICPRegistration

Definition at line 47 of file ui_main_window.h.

QAction* Ui_MainWindow::actionImportPointCloud

Definition at line 41 of file ui_main_window.h.

QAction* Ui_MainWindow::actionMesh_representation

Definition at line 44 of file ui_main_window.h.

QAction* Ui_MainWindow::actionOpenPointCloud

Definition at line 35 of file ui_main_window.h.

QAction* Ui_MainWindow::actionOpenProject

Definition at line 36 of file ui_main_window.h.

QAction* Ui_MainWindow::actionPoissonReconstruction

Definition at line 45 of file ui_main_window.h.

QAction* Ui_MainWindow::actionReset_camera

Definition at line 42 of file ui_main_window.h.

QAction* Ui_MainWindow::actionSaveAs

Definition at line 45 of file ui_main_window.h.

QAction* Ui_MainWindow::actionSavePointCloud

Definition at line 37 of file ui_main_window.h.

QAction* Ui_MainWindow::actionSaveProject

Definition at line 38 of file ui_main_window.h.

QAction* Ui_MainWindow::actionStatisticalOutlierRemoval

Definition at line 49 of file ui_main_window.h.

QAction* Ui_MainWindow::actionToggle_coloring

Definition at line 43 of file ui_main_window.h.

QAction* Ui_MainWindow::actionToggleSceneExplorer

Definition at line 43 of file ui_main_window.h.

QAction* Ui_MainWindow::actionVoxelGridDownsample

Definition at line 44 of file ui_main_window.h.

QPushButton* Ui_MainWindow::applyTransformButton

Definition at line 41 of file ui_manual_registration.h.

QToolButton* Ui_MainWindow::backButton

Definition at line 48 of file ui_pcd_video_player.h.

QPushButton* Ui_MainWindow::calculateButton

Definition at line 40 of file ui_manual_registration.h.

QPushButton* Ui_MainWindow::captureButton

Definition at line 36 of file ui_organized_segmentation_demo.h.

QWidget * Ui_MainWindow::centralwidget

Definition at line 33 of file ui_manual_registration.h.

QWidget * Ui_MainWindow::centralWidget

Definition at line 46 of file ui_main_window.h.

QCheckBox* Ui_MainWindow::checkBox_color_segmentation_enabled

Definition at line 97 of file ui_main_window.h.

QCheckBox* Ui_MainWindow::checkBox_color_segmentation_inverted

Definition at line 96 of file ui_main_window.h.

QPushButton* Ui_MainWindow::clearButton

Definition at line 39 of file ui_manual_registration.h.

QPushButton* Ui_MainWindow::confirmDstPointButton

Definition at line 38 of file ui_manual_registration.h.

QPushButton* Ui_MainWindow::confirmSrcPointButton

Definition at line 37 of file ui_manual_registration.h.

QPushButton* Ui_MainWindow::disableClusteringButton

Definition at line 54 of file ui_organized_segmentation_demo.h.

QPushButton* Ui_MainWindow::disableRefinementButton

Definition at line 50 of file ui_organized_segmentation_demo.h.

QPushButton* Ui_MainWindow::displayCurvatureButton

Definition at line 45 of file ui_organized_segmentation_demo.h.

QPushButton* Ui_MainWindow::displayDistanceMapButton

Definition at line 47 of file ui_organized_segmentation_demo.h.

QPushButton* Ui_MainWindow::displayNormalsButton

Definition at line 46 of file ui_organized_segmentation_demo.h.

QDockWidget* Ui_MainWindow::dockWidget

Definition at line 58 of file ui_main_window.h.

QWidget* Ui_MainWindow::dockWidgetContents

Definition at line 59 of file ui_main_window.h.

QWidget* Ui_MainWindow::dockWidgetContentsScene

Definition at line 64 of file ui_main_window.h.

QDockWidget* Ui_MainWindow::dockWidgetSceneExplorer

Definition at line 63 of file ui_main_window.h.

QDoubleSpinBox* Ui_MainWindow::doubleSpinBox_correspondence_rejection_factor

Definition at line 114 of file ui_main_window.h.

QPushButton* Ui_MainWindow::edgeAwareComparatorButton

Definition at line 42 of file ui_organized_segmentation_demo.h.

QPushButton* Ui_MainWindow::euclideanClusteringButton

Definition at line 55 of file ui_organized_segmentation_demo.h.

QPushButton* Ui_MainWindow::euclideanComparatorButton

Definition at line 40 of file ui_organized_segmentation_demo.h.

QSlider* Ui_MainWindow::fieldValueSlider

Definition at line 31 of file ui_openni_passthrough.h.

QGridLayout * Ui_MainWindow::gridLayout

Definition at line 81 of file ui_main_window.h.

QGridLayout* Ui_MainWindow::gridLayout_2

Definition at line 112 of file ui_main_window.h.

QGridLayout* Ui_MainWindow::gridLayout_3

Definition at line 65 of file ui_main_window.h.

QGridLayout* Ui_MainWindow::gridLayout_4

Definition at line 102 of file ui_main_window.h.

QGridLayout* Ui_MainWindow::gridLayout_5

Definition at line 121 of file ui_main_window.h.

QGridLayout* Ui_MainWindow::gridLayout_6

Definition at line 127 of file ui_main_window.h.

QGridLayout* Ui_MainWindow::gridLayout_7

Definition at line 47 of file ui_main_window.h.

QGroupBox* Ui_MainWindow::groupBox_averaging

Definition at line 120 of file ui_main_window.h.

QGroupBox* Ui_MainWindow::groupBox_convergence

Definition at line 101 of file ui_main_window.h.

QGroupBox* Ui_MainWindow::groupBox_correspondence_rejection

Definition at line 111 of file ui_main_window.h.

QGroupBox* Ui_MainWindow::groupBox_crop_xyz

Definition at line 64 of file ui_main_window.h.

QGroupBox* Ui_MainWindow::groupBox_outlier_removal

Definition at line 126 of file ui_main_window.h.

QGroupBox* Ui_MainWindow::groupBox_segment_hsv

Definition at line 80 of file ui_main_window.h.

QHBoxLayout * Ui_MainWindow::horizontalLayout

Definition at line 51 of file ui_main_window.h.

QHBoxLayout* Ui_MainWindow::horizontalLayout_main_controls

Definition at line 48 of file ui_main_window.h.

QSpacerItem* Ui_MainWindow::horizontalSpacer_main_controls

Definition at line 55 of file ui_main_window.h.

QSlider* Ui_MainWindow::indexSlider

Definition at line 39 of file ui_pcd_video_player.h.

QLabel* Ui_MainWindow::label

Definition at line 44 of file ui_organized_segmentation_demo.h.

QLabel* Ui_MainWindow::label1

Definition at line 38 of file ui_organized_segmentation_demo.h.

QLabel* Ui_MainWindow::label_2

Definition at line 49 of file ui_organized_segmentation_demo.h.

QLabel* Ui_MainWindow::label_3

Definition at line 53 of file ui_organized_segmentation_demo.h.

QLabel* Ui_MainWindow::label_averaging_max_angle

Definition at line 124 of file ui_main_window.h.

QLabel* Ui_MainWindow::label_correspondence_rejection_factor

Definition at line 113 of file ui_main_window.h.

QLabel* Ui_MainWindow::label_correspondence_rejection_max_angle

Definition at line 115 of file ui_main_window.h.

QLabel* Ui_MainWindow::label_epsilon

Definition at line 103 of file ui_main_window.h.

QLabel* Ui_MainWindow::label_h_max

Definition at line 86 of file ui_main_window.h.

QLabel* Ui_MainWindow::label_h_min

Definition at line 85 of file ui_main_window.h.

QLabel* Ui_MainWindow::label_hsv_dilate_size

Definition at line 94 of file ui_main_window.h.

QLabel* Ui_MainWindow::label_max_age

Definition at line 128 of file ui_main_window.h.

QLabel* Ui_MainWindow::label_max_fitness

Definition at line 106 of file ui_main_window.h.

QLabel* Ui_MainWindow::label_max_iterations

Definition at line 104 of file ui_main_window.h.

QLabel* Ui_MainWindow::label_max_squared_distance

Definition at line 122 of file ui_main_window.h.

QLabel* Ui_MainWindow::label_min_directions

Definition at line 130 of file ui_main_window.h.

QLabel* Ui_MainWindow::label_min_overlap

Definition at line 105 of file ui_main_window.h.

QLabel* Ui_MainWindow::label_s_max

Definition at line 83 of file ui_main_window.h.

QLabel* Ui_MainWindow::label_s_min

Definition at line 87 of file ui_main_window.h.

QLabel* Ui_MainWindow::label_v_max

Definition at line 92 of file ui_main_window.h.

QLabel* Ui_MainWindow::label_v_min

Definition at line 89 of file ui_main_window.h.

QLabel* Ui_MainWindow::label_x_max

Definition at line 75 of file ui_main_window.h.

QLabel* Ui_MainWindow::label_x_min

Definition at line 70 of file ui_main_window.h.

QLabel* Ui_MainWindow::label_xyz_erode_size

Definition at line 73 of file ui_main_window.h.

QLabel* Ui_MainWindow::label_y_max

Definition at line 77 of file ui_main_window.h.

QLabel* Ui_MainWindow::label_y_min

Definition at line 74 of file ui_main_window.h.

QLabel* Ui_MainWindow::label_z_max

Definition at line 78 of file ui_main_window.h.

QLabel* Ui_MainWindow::label_z_min

Definition at line 67 of file ui_main_window.h.

QFrame* Ui_MainWindow::line

Definition at line 43 of file ui_organized_segmentation_demo.h.

QFrame * Ui_MainWindow::line_2

Definition at line 37 of file ui_organized_segmentation_demo.h.

QFrame * Ui_MainWindow::line_3

Definition at line 48 of file ui_organized_segmentation_demo.h.

QFrame* Ui_MainWindow::line_4

Definition at line 52 of file ui_organized_segmentation_demo.h.

QLineEdit* Ui_MainWindow::lineEdit_epsilon

Definition at line 109 of file ui_main_window.h.

QLineEdit* Ui_MainWindow::lineEdit_max_fitness

Definition at line 110 of file ui_main_window.h.

QLineEdit* Ui_MainWindow::lineEdit_max_squared_distance

Definition at line 123 of file ui_main_window.h.

QMenuBar * Ui_MainWindow::menubar

Definition at line 52 of file ui_main_window.h.

QMenuBar * Ui_MainWindow::menuBar

Definition at line 134 of file ui_main_window.h.

QMenu* Ui_MainWindow::menuEdit

Definition at line 58 of file ui_main_window.h.

QMenu * Ui_MainWindow::menuFile

Definition at line 135 of file ui_main_window.h.

QMenu* Ui_MainWindow::menuFilters

Definition at line 59 of file ui_main_window.h.

QMenu* Ui_MainWindow::menuHelp

Definition at line 57 of file ui_main_window.h.

QMenu* Ui_MainWindow::menuRecentPointClouds

Definition at line 54 of file ui_main_window.h.

QMenu* Ui_MainWindow::menuRecentProjects

Definition at line 55 of file ui_main_window.h.

QMenu* Ui_MainWindow::menuRegistration

Definition at line 60 of file ui_main_window.h.

QMenu* Ui_MainWindow::menuSurfaceReconstruction

Definition at line 61 of file ui_main_window.h.

QMenu* Ui_MainWindow::menuView

Definition at line 56 of file ui_main_window.h.

QToolButton* Ui_MainWindow::nextButton

Definition at line 51 of file ui_pcd_video_player.h.

QCheckBox* Ui_MainWindow::orthoButton

Definition at line 45 of file ui_manual_registration.h.

QWidget* Ui_MainWindow::page_input_data_processing

Definition at line 62 of file ui_main_window.h.

QWidget* Ui_MainWindow::page_integration

Definition at line 118 of file ui_main_window.h.

QWidget* Ui_MainWindow::page_registration

Definition at line 99 of file ui_main_window.h.

QWidget* Ui_MainWindow::placeholder_in_hand_scanner

Definition at line 57 of file ui_main_window.h.

QPushButton* Ui_MainWindow::planarRefinementButton

Definition at line 51 of file ui_organized_segmentation_demo.h.

QPushButton* Ui_MainWindow::planeComparatorButton

Definition at line 39 of file ui_organized_segmentation_demo.h.

QToolButton* Ui_MainWindow::playButton

Definition at line 50 of file ui_pcd_video_player.h.

QVTKWidget * Ui_MainWindow::qvtk_widget

Definition at line 30 of file ui_openni_passthrough.h.

QVTKWidget* Ui_MainWindow::qvtk_widget_dst

Definition at line 47 of file ui_manual_registration.h.

QVTKWidget* Ui_MainWindow::qvtk_widget_src

Definition at line 35 of file ui_manual_registration.h.

QVTKWidget* Ui_MainWindow::qvtkWidget

Definition at line 38 of file ui_pcd_video_player.h.

QPushButton* Ui_MainWindow::refineButton

Definition at line 42 of file ui_manual_registration.h.

QPushButton* Ui_MainWindow::rgbComparatorButton

Definition at line 41 of file ui_organized_segmentation_demo.h.

QPushButton* Ui_MainWindow::safeButton

Definition at line 43 of file ui_manual_registration.h.

pcl::modeler::SceneTree* Ui_MainWindow::scene_tree_

Definition at line 66 of file ui_main_window.h.

QPushButton* Ui_MainWindow::selectFilesButton

Definition at line 42 of file ui_pcd_video_player.h.

QPushButton* Ui_MainWindow::selectFolderButton

Definition at line 43 of file ui_pcd_video_player.h.

QSpinBox* Ui_MainWindow::spinBox_averaging_max_angle

Definition at line 125 of file ui_main_window.h.

QSpinBox* Ui_MainWindow::spinBox_correspondence_rejection_max_angle

Definition at line 116 of file ui_main_window.h.

QSpinBox* Ui_MainWindow::spinBox_h_max

Definition at line 82 of file ui_main_window.h.

QSpinBox* Ui_MainWindow::spinBox_h_min

Definition at line 91 of file ui_main_window.h.

QSpinBox* Ui_MainWindow::spinBox_hsv_dilate_size

Definition at line 95 of file ui_main_window.h.

QSpinBox* Ui_MainWindow::spinBox_max_age

Definition at line 129 of file ui_main_window.h.

QSpinBox* Ui_MainWindow::spinBox_max_iterations

Definition at line 107 of file ui_main_window.h.

QSpinBox* Ui_MainWindow::spinBox_min_directions

Definition at line 131 of file ui_main_window.h.

QSpinBox* Ui_MainWindow::spinBox_min_overlap

Definition at line 108 of file ui_main_window.h.

QSpinBox* Ui_MainWindow::spinBox_s_max

Definition at line 93 of file ui_main_window.h.

QSpinBox* Ui_MainWindow::spinBox_s_min

Definition at line 84 of file ui_main_window.h.

QSpinBox* Ui_MainWindow::spinBox_v_max

Definition at line 90 of file ui_main_window.h.

QSpinBox* Ui_MainWindow::spinBox_v_min

Definition at line 88 of file ui_main_window.h.

QSpinBox* Ui_MainWindow::spinBox_x_max

Definition at line 68 of file ui_main_window.h.

QSpinBox* Ui_MainWindow::spinBox_x_min

Definition at line 72 of file ui_main_window.h.

QSpinBox* Ui_MainWindow::spinBox_xyz_erode_size

Definition at line 79 of file ui_main_window.h.

QSpinBox* Ui_MainWindow::spinBox_y_max

Definition at line 66 of file ui_main_window.h.

QSpinBox* Ui_MainWindow::spinBox_y_min

Definition at line 69 of file ui_main_window.h.

QSpinBox* Ui_MainWindow::spinBox_z_max

Definition at line 71 of file ui_main_window.h.

QSpinBox* Ui_MainWindow::spinBox_z_min

Definition at line 76 of file ui_main_window.h.

QStatusBar* Ui_MainWindow::statusBar

Definition at line 48 of file ui_manual_registration.h.

QStatusBar * Ui_MainWindow::statusbar

Definition at line 62 of file ui_main_window.h.

QToolButton* Ui_MainWindow::stopButton

Definition at line 49 of file ui_pcd_video_player.h.

QToolBar* Ui_MainWindow::toolBar

Definition at line 133 of file ui_main_window.h.

QToolBox* Ui_MainWindow::toolBox

Definition at line 61 of file ui_main_window.h.

QToolButton* Ui_MainWindow::toolButton_0

Definition at line 56 of file ui_main_window.h.

QToolButton* Ui_MainWindow::toolButton_1

Definition at line 49 of file ui_main_window.h.

QToolButton* Ui_MainWindow::toolButton_2

Definition at line 50 of file ui_main_window.h.

QToolButton* Ui_MainWindow::toolButton_3

Definition at line 51 of file ui_main_window.h.

QToolButton* Ui_MainWindow::toolButton_4

Definition at line 52 of file ui_main_window.h.

QToolButton* Ui_MainWindow::toolButton_5

Definition at line 53 of file ui_main_window.h.

QToolButton* Ui_MainWindow::toolButton_6

Definition at line 54 of file ui_main_window.h.

QPushButton* Ui_MainWindow::undoButton

Definition at line 44 of file ui_manual_registration.h.

QVBoxLayout * Ui_MainWindow::verticalLayout

Definition at line 60 of file ui_main_window.h.

QVBoxLayout * Ui_MainWindow::verticalLayout_2

Definition at line 63 of file ui_main_window.h.

QVBoxLayout* Ui_MainWindow::verticalLayout_3

Definition at line 100 of file ui_main_window.h.

QVBoxLayout* Ui_MainWindow::verticalLayout_4

Definition at line 119 of file ui_main_window.h.

QVBoxLayout* Ui_MainWindow::verticalLayoutSceneExplorer

Definition at line 65 of file ui_main_window.h.

QWidget* Ui_MainWindow::verticalLayoutWidget

Definition at line 36 of file ui_pcd_video_player.h.

QWidget* Ui_MainWindow::verticalLayoutWidget_2

Definition at line 40 of file ui_pcd_video_player.h.

QSpacerItem * Ui_MainWindow::verticalSpacer

Definition at line 46 of file ui_manual_registration.h.

QSpacerItem* Ui_MainWindow::verticalSpacer_input_data_processing

Definition at line 98 of file ui_main_window.h.

QSpacerItem* Ui_MainWindow::verticalSpacer_integration

Definition at line 132 of file ui_main_window.h.

QSpacerItem* Ui_MainWindow::verticalSpacer_registration

Definition at line 117 of file ui_main_window.h.

The documentation for this class was generated from the following files:

- /build/pcl-0nnAvv/pcl-1.7.2/build/apps/in_hand_scanner/ui_main_window.h
- /build/pcl-0nnAvv/pcl-1.7.2/build/apps/ui_manual_registration.h
- /build/pcl-0nnAvv/pcl-1.7.2/build/apps/ui_openni_passthrough.h
- /build/pcl-0nnAvv/pcl-1.7.2/build/apps/ui_organized_segmentation_demo.h
- /build/pcl-0nnAvv/pcl-1.7.2/build/apps/ui_pcd_video_player.h